<?xml version="1.0" encoding="UTF-8"?>
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                template="../../templates/main-template.xhtml">
    <ui:define name="content">

        <h:body>
            <h:form id="userBean">
                <p:growl id="user" showDetail="true" sticky="true"/>
                <p:outputPanel id="userDetail" style="margin-top: 30px">
                    <p:panelGrid columns="2" styleClass="ui-noborder" style="width: 100%">
                        <p:outputLabel for="login" value="Login:"/>
                        <p:inputText id="login" value="#{userBean.user.login}" placeholder="login"/>

                        <p:outputLabel for="password" value="Password:"/>
                        <p:password id="password" value="#{userBean.user.password}"
                                    placeholder="password"/>

                        <p:outputLabel for="email" value="Email:"/>
                        <p:password id="email" value="#{userBean.user.email}"
                                    placeholder="email"/>

                        <p:commandButton
                                action="#{userBean.saveUser()}" styleClass="buttons"
                                icon="fa fa-fw fa-save" ajax="false"
                                value="Save" />
                        <p:linkButton outcome="pretty:index" styleClass="buttons" value="Cancel"/>
                    </p:panelGrid>
                </p:outputPanel>

            </h:form>
        </h:body>
    </ui:define>
</ui:composition>
